Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Flying with firmware 1.08

Discussion in 'Firmware' started by max, Jan 10, 2015.

  1. max


    Sep 19, 2014
    Likes Received:
    I finally got it through my thick head that I will never be able to get firmware 3.06 back on my bird. So I want to try 1.08 out, but before I do I'm hoping someone can answer these questions I have:
    1) Is it OK to use the software 1.08 to downgrade ONLY the main controller software and leave all the other components using their latest firmwares, or will that cause problems? I have everything at the latest except for the batteries, which are at 2.0. Also I have the latest versions of DJI VISION and FPV Booster apps on my phone. See screenshots:

    2) Do I need to calibrate the IMU when changing firmware?
    3) I actually just noticed the 1.08 assistant I have says "PHANTOM 2 VISION" and not "PHANTOM 2 VISION+" (see screenshots above). This OK?

    And then for actually flying on 1.08... Please confirm or correct the following
    - There are no distance or altitude restrictions when flying.
    - There are no battery warnings (?) or autolanding behavior (?)
    - The max speed (max tilt angle) is increased for all three modes (GPS, ATTI, FAILSAFE)?
    - Anything else important?

    Thanks again everyone for the help.

    Attached Files:

  2. RustyProp

    Jan 10, 2015
    Likes Received:
    LILPhantom is near me, he switches from 1.08 to 3.x+ all the time depending on what he is shooting and where, I have done it a couple of times. He should chime in...